Kerbal Space Program - Bug #11496

Contracts system chokes if part referenced in completed part-test contract is removed from
gamedata. Blocks scene change.

09/15/2016 08:14 AM - steve_v

Status: Closed Start date: 09/15/2016
Severity: Normal % Done: 100%
Assignee:

Category:

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

Reposting from forums at request NathanKell.

Had issues after removing a mod (Quiztech Aero, FWIW) referenced in both completed and potential (but not active) part-test
contracts.
Log throws:

Contract: Exception while OnLoad() or SetuplD() on contract Test Part landed at Kerbin., exception System.NullReferenceException:
Object reference not set to an instance of an object

at Contracts.Parameters.PartTest.GetHashString () [0x00000] in <filename unknown>:0

at Contracts.ContractParameter.get_HashString () [0x00000] in <filename unknown>:0

at Contracts.Contract.SetuplD () [0x00000] in <filename unknown>:0

at Contracts.Contract.Load (Contracts.Contract contract, .ConfigNode node) [0x00000] in <filename unknown>:0

Followed by:

NullReferenceException: Object reference not set to an instance of an object

at Contracts.Parameters.PartTest.OnSave (.ConfigNode node) [0x00000] in <filename unknown>:0
at Contracts.ContractParameter.Save (.ConfigNode node) [0x00000] in <filename unknown>:0

at Contracts.Contract.Save (.ConfigNode node) [0x00000] in <filename unknown>:0

at Contracts.ContractSystem.OnSave (.ConfigNode gameNode) [0x00000] in <filename unknown>:0
at ScenarioModule.Save (.ConfigNode node) [0x00000] in <filename unknown>:0

at ProtoScenarioModule..ctor (.ScenarioModule module) [0x00000] in <filename unknown>:0

at ScenarioRunner.GetUpdatedProtoModules () [0x00000] in <filename unknown>:0

at Game.Updated () [0x00000] in <filename unknown>:0

at GamePersistence.SaveGame (System.String saveFileName, System.String saveFolder, SaveMode saveMode) [0x00000] in
<filename unknown>:0

at TrackingStationBuilding.OnClicked () [0x00000] in <filename unknown>:0

And | can not enter / exit buildings.

Removing all mention of offending parts from save file has fixed it, just a FYl. Can probably repro w/save complete log etc. if needed.
Was considering repro with more info, but with 1.2 almost here may be better left until | can test in the new release?

Ping me if you want me to go ahead anyway in 1.1.3.

History

#2 - 10/13/2016 11:52 AM - Squelch

- Status changed from New to Ready to Test
- Target version set to 1.2.0

- % Done changed from 0 to 80

- Platform Windows added

This has been addressed and fixed for KSP 1.2
#3 - 11/18/2016 08:03 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
